<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WS2812.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">WS2812.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef MAIN_WS2812_H_</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define MAIN_WS2812_H_</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &lt;stdint.h&gt;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &lt;driver/rmt.h&gt;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;driver/gpio.h&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>{</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    uint8_t red;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    uint8_t green;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    uint8_t blue;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;} <a class="code" href="structpixel__t.html">pixel_t</a>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classWS2812.html">   49</a></span>&#160;<span class="keyword">class </span><a class="code" href="classWS2812.html">WS2812</a> {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="classWS2812.html#a873e567f57a612a0e408b5bb310d9024">WS2812</a>(gpio_num_t gpioNum, uint16_t pixelCount, <span class="keywordtype">int</span> channel = RMT_CHANNEL_0);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#ad03797836617dccf530cb7c6423c03fe">show</a>();</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#a7a68e53534f4b1f68e447621caf0e2e6">setColorOrder</a>(<span class="keywordtype">char</span>* order);</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#a60025d23e7fc21c3ce8c1f02bd50bf86">setPixel</a>(uint16_t index, uint8_t red, uint8_t green, uint8_t blue);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#a60025d23e7fc21c3ce8c1f02bd50bf86">setPixel</a>(uint16_t index, <a class="code" href="structpixel__t.html">pixel_t</a> pixel);</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#a60025d23e7fc21c3ce8c1f02bd50bf86">setPixel</a>(uint16_t index, uint32_t pixel);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#ab351cea856076c96121d5c3b64f2a7f3">setHSBPixel</a>(uint16_t index, uint16_t hue, uint8_t saturation, uint8_t brightness);</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classWS2812.html#aceeaba644d2cc545b84d2807732b6461">clear</a>();</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classWS2812.html#a58973dedd9cbc5c3fd3397f07f9a720f">~WS2812</a>();</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordtype">char</span>*          colorOrder;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    uint16_t       pixelCount;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    rmt_channel_t  channel;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    rmt_item32_t*  items;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <a class="code" href="structpixel__t.html">pixel_t</a>*       pixels;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;};</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* MAIN_WS2812_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classWS2812_html_a873e567f57a612a0e408b5bb310d9024"><div class="ttname"><a href="classWS2812.html#a873e567f57a612a0e408b5bb310d9024">WS2812::WS2812</a></div><div class="ttdeci">WS2812(gpio_num_t gpioNum, uint16_t pixelCount, int channel=RMT_CHANNEL_0)</div><div class="ttdoc">Construct a wrapper for the pixels.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:107</div></div>
<div class="ttc" id="classWS2812_html_ab351cea856076c96121d5c3b64f2a7f3"><div class="ttname"><a href="classWS2812.html#ab351cea856076c96121d5c3b64f2a7f3">WS2812::setHSBPixel</a></div><div class="ttdeci">void setHSBPixel(uint16_t index, uint16_t hue, uint8_t saturation, uint8_t brightness)</div><div class="ttdoc">Set the given pixel to the specified HSB color.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:257</div></div>
<div class="ttc" id="classWS2812_html"><div class="ttname"><a href="classWS2812.html">WS2812</a></div><div class="ttdoc">Driver for WS2812/NeoPixel data.</div><div class="ttdef"><b>Definition:</b> WS2812.h:49</div></div>
<div class="ttc" id="classWS2812_html_a60025d23e7fc21c3ce8c1f02bd50bf86"><div class="ttname"><a href="classWS2812.html#a60025d23e7fc21c3ce8c1f02bd50bf86">WS2812::setPixel</a></div><div class="ttdeci">void setPixel(uint16_t index, uint8_t red, uint8_t green, uint8_t blue)</div><div class="ttdoc">Set the given pixel to the specified color.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:210</div></div>
<div class="ttc" id="classWS2812_html_ad03797836617dccf530cb7c6423c03fe"><div class="ttname"><a href="classWS2812.html#ad03797836617dccf530cb7c6423c03fe">WS2812::show</a></div><div class="ttdeci">void show()</div><div class="ttdoc">Show the current Neopixel data.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:151</div></div>
<div class="ttc" id="classWS2812_html_a7a68e53534f4b1f68e447621caf0e2e6"><div class="ttname"><a href="classWS2812.html#a7a68e53534f4b1f68e447621caf0e2e6">WS2812::setColorOrder</a></div><div class="ttdeci">void setColorOrder(char *order)</div><div class="ttdoc">Set the color order of data sent to the LEDs.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:193</div></div>
<div class="ttc" id="structpixel__t_html"><div class="ttname"><a href="structpixel__t.html">pixel_t</a></div><div class="ttdoc">A data type representing the color of a pixel.</div><div class="ttdef"><b>Definition:</b> SmartLED.h:14</div></div>
<div class="ttc" id="classWS2812_html_aceeaba644d2cc545b84d2807732b6461"><div class="ttname"><a href="classWS2812.html#aceeaba644d2cc545b84d2807732b6461">WS2812::clear</a></div><div class="ttdeci">void clear()</div><div class="ttdoc">Clear all the pixel colors.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:322</div></div>
<div class="ttc" id="classWS2812_html_a58973dedd9cbc5c3fd3397f07f9a720f"><div class="ttname"><a href="classWS2812.html#a58973dedd9cbc5c3fd3397f07f9a720f">WS2812::~WS2812</a></div><div class="ttdeci">virtual ~WS2812()</div><div class="ttdoc">Class instance destructor.</div><div class="ttdef"><b>Definition:</b> WS2812.cpp:334</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
